***************************
* File: entete_visite1.do 
* Questionnaire type: Health Facility
* Country: Madagascar
*****************************

version 10.1
cd "Source\Data cleaning\Madagascar 2006 P H\"
capture clear
capture log close
clear
set mem 700m
set more off

use "Source\Madagascar 2006 P H\4- Data\4.1 Raw Data\Second Round\csb_1er_jour\entete_visite1.dta"


**************************************************
***    Ensure all variables are present and labeled.
**************************************************
cd "Source\Second Round\csb_1er_jour"
log using "entete_visite1", replace
codebook, compact
log close

**************************************************
***   Ensure response value labels are correct.
**************************************************
label save using "entete_visite1 label values", replace

**************************************************
***   Identify illegal responses
**************************************************

log using "entete_visite1 label inspect", replace
inspect
log close

**************************************************
*** FINAL   : Delivrables
**************************************************

*Codebook
cd "Source\4- Data\4.3. Clean Data\4.3.3. Data Code Book\Second Round\csb_1er_jour"
log using "entete_visite1 codebook", replace
codebook, compact
log close

*Save cleaned data
cd "Source\4- Data\4.3. Clean Data\4.3.1. Final Data\Second Round\csb_1er_jour"
save entete_visite1_cleaned_data.dta, replace
